gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] 02/03: BUILD: Add meson dist script


From: gnunet
Subject: [gnunet] 02/03: BUILD: Add meson dist script
Date: Thu, 21 Sep 2023 19:34:56 +0200

This is an automated email from the git hooks/post-receive script.

martin-schanzenbach pushed a commit to branch master
in repository gnunet.

commit 59b1d0c04b7996a4142b3241df73b14a87e12db5
Author: Martin Schanzenbach <schanzen@gnunet.org>
AuthorDate: Thu Sep 21 19:31:59 2023 +0200

    BUILD: Add meson dist script
---
 meson-dist-script | 28 ++++++++++++++++++++++++++++
 meson.build       |  2 ++
 2 files changed, 30 insertions(+)

diff --git a/meson-dist-script b/meson-dist-script
new file mode 100644
index 000000000..08b340fe0
--- /dev/null
+++ b/meson-dist-script
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -eu
+
+cd "${MESON_DIST_ROOT}"
+echo "Updating handbook..."
+if existence sphinx-build; then
+  cwd=$PWD
+  cd contrib/sphinx || exit 1
+  if test -e _build; then
+    make clean
+  fi
+  # GNS
+  make html >/dev/null || exit 1
+  if test -e ../../doc/handbook/html; then
+    rm -r ../../doc/handbook/html || exit 1
+  fi
+  cp -r _build/html ../../doc/handbook/ || exit 1
+  if test -e ../../doc/handbook/texinfo; then
+    rm -r ../../doc/handbook/texinfo || exit 1
+  fi
+  make info >/dev/null || exit 1
+  cp -r _build/texinfo ../../doc/handbook/ || exit 1
+  cd $cwd
+else
+  echo "ERROR: Sphinx not found! Unable to generate recent documentation."
+  exit 1
+fi
diff --git a/meson.build b/meson.build
index 7f00df203..a005021a3 100644
--- a/meson.build
+++ b/meson.build
@@ -193,3 +193,5 @@ configuration_inc = include_directories('.')
 subdir('src')
 subdir('doc')
 subdir('contrib')
+
+meson.add_dist_script('meson-dist-script')

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]